### Enumeration

# FwupdPlugin FirmwareSrecRecordKind

#### Declaration

    enum FwupdPlugin.FirmwareSrecRecordKind

#### Description [src]

SREC record kind.

#### Members

`FU_FIRMWARE_SREC_RECORD_KIND_S0_HEADER`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S1_DATA_16`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S2_DATA_24`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S3_DATA_32`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S4_RESERVED`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S5_COUNT_16`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S6_COUNT_24`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S7_COUNT_32`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S8_TERMINATION_24`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S9_TERMINATION_16`

  No description available.

  - Value: `9`
  - Available since: 1.0